﻿@model IPagedList<LabMaintanance6.Models.Complain>

@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_layout.cshtml";
}
@using PagedList;
@using PagedList.Mvc;

<h2 class="text-center">Complain List</h2>

<p class="text-center">
    @Html.ActionLink("Submit New Complain", "Create", null, new { @class = "btn btn-primary" })
</p>
<div class="container-fluid">
    <!-- Breadcrumbs-->
    <div class="card mb-3">
        <div class="row justify-content-end">
            <div class="col-auto">
                <a class="nav-link btn btn-sm btn-bold btn-smooth btn-success" href="@Url.Action("Index", "Tech2")" type="button">Actions</a>
            </div>
        </div>

        <br />
        <br />
        <br />
        <div class="card-body">
            <div class="table-responsive">
                <table class="table table-condensed table-hover table-bordered table-striped table" id="dataTable" width="100%" cellspacing="0">
                    <thead>

                        <tr>
                            <th>Get Details</th>
                            <th>Image</th>
                            <th>Name_of_the_Item</th>
                            <th>Repaired_Staus</th>
                            <th>Location</th>
                            <th>Priority</th>
                            <th>Description</th>

                            <th>Date</th>
                            <th></th>
                            <th></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (var item in Model) // Display only ten most recent rows in reverse order
                        {
                            <tr>
                                <td>
                                    @Html.ActionLink("Details", "Details", new { id = item.complain_id }, new { @class = "btn btn-info btn-action" })
                                    <a href="@Url.Action("Create", "Tech2", new { id = item.complain_id })" class="btn btn-primary btn-action" id="take-action-@item.complain_id">Take Action</a>
                                </td>
                                <td>
                                    @if (item.image_data != null)
                                    {
                                        var base64Image = Convert.ToBase64String(item.image_data);
                                        var imgSrc = $"data:image;base64,{base64Image}";
                                        <img src="@imgSrc" alt="Complain Image" class="img-fluid" />
                                    }
                                </td>
                                <td>
                                    <span>@Html.DisplayFor(modelItem => item.Name_Of_the_Item)</span>
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Repaired_Staus.R_Status)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.location)
                                </td>
                                <td>
                                    @Html.DisplayFor(modelItem => item.Priority.priority1)
                                </td>
                                <td>
                                    <span>@Html.DisplayFor(modelItem => item.description)</span>
                                </td>

                                <td>@Html.DisplayFor(modelItem => item.action_date)</td>
                                <td>
                                    @Html.ActionLink("Update Status", "Edit", new { id = item.complain_id }, new { @class = "btn btn-primary" })
                                </td>
                                <td>
                                    <a href="@Url.Action("Delete", "Complains", new { id = item.complain_id })" class="btn btn-danger btn-action" id="take-action-@item.complain_id">Delete</a>
                                </td>
                                <td>
                                    <a href="@Url.Action("Create", "Tech2", new { id = item.complain_id })" class="btn btn-info btn-action" id="take-action-@item.complain_id">Take Action</a>
                                </td>
                            </tr>
                        }

                    </tbody>
                </table>
                @Html.PagedListPager(Model, i => Url.Action("Index", "Complains", new { i, search = Request.QueryString["search"] }))
            </div>
        </div>
    </div>
    </div>